com.beaglebuddy.mpeg.enums

## Enum BitrateType

- java.lang.Object
- - java.lang.Enum<BitrateType>
  - - com.beaglebuddy.mpeg.enums.BitrateType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BitrateType>

      public enum BitrateType
      extends java.lang.Enum<BitrateType>

  Type of bitrate used during the encoding process. Mp3 files can be encoded using a constant bit rate or a variable bit rate. With constant bit rate encoding, each mpeg audio frame in the .mp3 file is encoded using the same bit rate. This has the advantage that every mpeg audio frame is independent of each other, and hence decoding the .mp3 is simpler, and the .mp3 file can be split at any frame and each part will still be able to be played. Since music consists of both aurally simple and complex sections, variable bit rate encoding uses more bits for the complex parts and less for the simple parts. The advantage of this method is that .mp3 files can produce better sounding audio using less data. The disadvantage with variable bit rate encoding is that the mpeg audio frames are dependent on one another and hence an .mp3 file can not be split at an arbitrary audio frame and decoding an .mp3 file is more complex.

  See Also:
    Variable bitrate

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CBR` mp3 was encoded with a constant bit rate.
    `VBR` mp3 was encoded with a variable bit rate.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` gets the description of the bitrate type.
    `static BitrateType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BitrateType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CBR

          public static final BitrateType CBR

      mp3 was encoded with a constant bit rate.

    - #### VBR

          public static final BitrateType VBR

      mp3 was encoded with a variable bit rate.

  - ### Method Detail

    - #### values

          public static BitrateType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BitrateType c : BitrateType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BitrateType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDescription

          public java.lang.String getDescription()

      gets the description of the bitrate type.
      Returns:
        the description of the bitrate type.